function loadErrors() {
    return fetch(
        `/dashboard/api/guild/${guildId()}/reminders?status=deleted,sent,failed`
    ).then((response) => response.json());
}

document.addEventListener("paneLoad", (ev) => {
    if (ev.detail.pane !== "errors") {
        return;
    }

    document.querySelectorAll(".reminderError").forEach((el) => el.remove());

    const template = document.getElementById("reminderError");
    const container = document.getElementById("reminderLog");

    loadErrors().then((res) => {
        for (const reminder of res) {
            const newRow = template.content.cloneNode(true);

            newRow.querySelector(".reminderName").textContent = reminder.name;
            newRow.querySelector(".reminderError").dataset["case"] = reminder.status;

            container.appendChild(newRow);
        }
    });

    $loader.classList.add("is-hidden");
});
